Copying Lila
============

Any file in this project that does not state otherwise and is not listed as an
exception below is part of lila and copyright (c) 2012-2017 the lila authors.

For a list of the authors see the commit log or
https://github.com/ornicar/lila/graphs/contributors.

Lila is free software; you can redistribute and/or modify it under the terms
of the GNU Affero General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

Lila is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
details.

See the LICENSE file for a copy of the *GNU Affero General Public License*.

Additional permission under GNU AGPL version 3 section 7
--------------------------------------------------------

If you modify this Program, or any covered work, by linking or combining it
with Highcharts (or a modified version of that library), containing parts
covered by the terms of the *Creative Commons (CC) Attribution-NonCommercial*
licence, the licensors of this Program grant you additional permission to
convey the resulting work. Corresponding Source for a non-source form of such a
combination shall include the source code for the parts of Highcharts used as
well as that of the covered work.

Exceptions (free)
-----------------

Files | Author(s) | License
--- | --- | ---
public/font70 | [Dave Gandy](http://fontawesome.io/), [GitHub](https://github.com/primer/octicons), [Webalys](http://www.webalys.com/), [Zurb](http://zurb.com/playground/foundation-icon-fonts-3), [Daniel Bruce](http://www.entypo.com/), [Shapemade](http://steadysets.com/), [Sergey Shmidt](http://designmodo.com/linecons-free/) and the lichess authors | [OFL](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL), [MIT](https://github.com/primer/octicons/blob/master/LICENSE), [CC BY 3.0](https://creativecommons.org/licenses/by/3.0/), AGPLv3+
ChessSansPiratf in public/fonts | the [pgn4web](http://pgn4web.casaschi.net/home.html) authors | [GPLv2+](https://www.gnu.org/licenses/gpl-2.0.txt)
public/images/staunton | [James Clarke](https://github.com/clarkerubber/Staunton-Pieces) | [MIT](https://github.com/clarkerubber/Staunton-Pieces/blob/master/LICENSE)
public/images/trophy | [James Clarke](https://github.com/clarkerubber/Staunton-Pieces/tree/master/Trophies) | [MIT](https://github.com/clarkerubber/Staunton-Pieces/blob/master/LICENSE)
public/images/flags | [Go Squared Ltd.](https://www.gosquared.com/resources/flag-icons/) | [MIT](https://github.com/gosquared/flags/blob/master/LICENSE.txt)
public/images/boards | the lila authors and [pirouetti](https://lichess.org/@/pirouetti) | AGPLv3+
public/images/learn/pieces | Thibault Duplessis and [Colin M.L. Burnett](https://en.wikipedia.org/wiki/User:Cburnett) | [GPLv2+](https://www.gnu.org/licenses/gpl-2.0.txt)
public/piece-src/mono | Thibault Duplessis and [Colin M.L. Burnett](https://en.wikipedia.org/wiki/User:Cburnett) | [GPLv2+](https://www.gnu.org/licenses/gpl-2.0.txt)
public/piece-src/cburnett | [Colin M.L. Burnett](https://en.wikipedia.org/wiki/User:Cburnett) | [GPLv2+](https://www.gnu.org/licenses/gpl-2.0.txt)
public/piece-src/chessnut | [Alexis Luengas](https://github.com/LexLuengas) | [Apache 2.0](https://github.com/LexLuengas/chessnut-pieces/blob/master/LICENSE.txt)
public/piece-src/letter | [usolando](https://lichess.org/@/usolando) | AGPLv3+
public/piece-src/pirouetti | [pirouetti](https://lichess.org/@/pirouetti) | AGPLv3+
public/piece-src/merida | Armando Hernandez Marroquin | [GPLv2+](https://www.gnu.org/licenses/gpl-2.0.txt)
public/piece-src/shapes | [flugsio](https://github.com/flugsio/chess_shapes) | [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)
public/sounds/futuristic | [Enigmahack](https://github.com/Enigmahack) | AGPLv3+
public/sounds/nes | [Enigmahack](https://github.com/Enigmahack) | AGPLv3+
public/sounds/piano | [Enigmahack](https://github.com/Enigmahack) | AGPLv3+
public/sounds/sfx | [Enigmahack](https://github.com/Enigmahack) | AGPLv3+

Exceptions (non-free)
---------------------

Files | Author(s) | License
--- | --- | ---
public/piece-src/alpha | Eric Bentzen | "free for personal non commercial use" (see [zip](http://www.enpassant.dk/chess/downl/alpha.zip))
public/piece-src/chess7 | [Style-7](http://www.styleseven.com/) | "freeware"
public/piece-src/companion | David L. Brown | ["freeware"](http://www.enpassant.dk/chess/fonteng.htm#GC)
public/piece-src/fantasy | [Maurizio Monge](http://poisson.phc.unipi.it/~monge/chess_art.php) | "give credit in a suitable way"
public/piece-src/spatial | [Maurizio Monge](http://poisson.phc.unipi.it/~monge/chess_art.php) | "give credit in a suitable way"
public/piece-src/reillycraig | [Reilly Craig](https://instagram.com/fader_) |
public/piece-src/riohacha | |
public/piece/other | [Twitch](http://lazythunk.com/kappa/) |
public/images/staunton/staunton/Staunton | [Eden Murs](https://userstyles.org/styles/134558/lichess-pieces-3d-staunton) (?) |

* The other sounds in public/sound.
* The other artwork in public/images.
* The icon font in public/font70.

External services
-----------------

Lichess as deployed on https://lichess.org/ also uses these external services:

* [cdnjs](https://cdnjs.com/) as the primary source for widely used JavaScript libraries
* [Cloudflare](https://www.cloudflare.com/) to serve static assets
* [Mailgun](https://www.mailgun.com/) for transactional email
* [prismic.io](https://prismic.io/) for help/documentation pages and the blog
* [twitch](https://www.twitch.tv/) for featured livestreams
* [YouTube](https://www.youtube.com) for featured livestreams and the [Video library](https://lichess.org/video)
* [stripe](https://stripe.com/) and [PayPal](https://www.paypal.com) for [Patron donations](https://lichess.org/patron)
* [Spreadshirt](https://shop.spreadshirt.com/lichess-org) for the [Swag store](https://lichess.org/swag)
* [check.torproject.org](https://check.torproject.org/exit-addresses) for a list or Tor exit nodes
* [getipintel.net](https://getipintel.net/)
* [Google Fonts](https://fonts.google.com/)
* [Google Cloud Messaging](https://developers.google.com/cloud-messaging/) and [OneSignal](https://onesignal.com/) for mobile notifications
* [reCAPTCHA](https://www.google.com/recaptcha/)
* [crowdin](https://crowdin.com/project/lichess) for localization
